body {
    font-family: "DM Sans", sans-serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
}
.hide {
    display: none !important;
}

.app {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    height: 100vh;
    padding: 0;
}

.aside {
    float: left;
    height: 100%;
    padding: 10px;
}

.aside ul {
    list-style: none;
    padding: 0;
}

.aside ul li {
    border-bottom: 1px solid #eeeeee5e;
    padding: 6px 0;
}

.aside ul li h6 {
    font-size: 15px;
    color: #fff;
    font-weight: bold;
}

.aside ul li li {
    border: none;
    padding-left: 20px;
    padding: 3px 0 3px 20px;
}

.aside ul a {
    color: #fff;
    text-decoration: none;
    padding: 0;
    display: block;
    width: 100%;
    font-size: 13px;
}

.game {
    float: right;
    height: 100%;
}

.aside.hider{
    position: absolute;
    top: 0;
    bottom: 0;
    left: -16%;
    transition: .3s;
    z-index: 1;
    background: rgb(26, 41, 54) !important;
}
.aside.hider:hover{
    left: 0;
    z-index: 1;
}

iframe{
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
}


.mts {
    background: #000;
    position: relative;
}

.mts .cell {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 12%;
    height: auto;
    aspect-ratio: 1/.9;
    display: flex;
    align-items: center;
    justify-content: center;
    border: 5px solid #dddddd5c;
    border-radius: 10px;
}

.mts .cell.active.wrong {
    border-color: #f10d0da8;
}

.mts .cell.active.correct {
    border-color: greenyellow;
}

.mts .cell img {
    display: block;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    height: 100%;
    width: 100%;
    object-fit: contain;
    pointer-events: none;
    background: none;
}

.mts .cell.hided img {
    display: none;
}

.mts .cell-9 {
    border: 5px solid #f10d0da8;
}

.mts .cell-1 {
    transform: translate(0, 0);
    left: 15%;
    top: 27%;
}

.mts .cell-2 {
    transform: translate(0, 0);
    left: 15%;
    bottom: 27%;
    top: auto;
}

.mts .cell-3 {
    transform: translate(-120%, 0);
    top: 15%;
}

.mts .cell-4 {
    transform: translate(50%, 0);
    top: 15%;
}

.mts .cell-5 {
    transform: translate(-120%, 0);
    bottom: 15%;
    top: auto;
}

.mts .cell-6 {
    transform: translate(50%, 0);
    bottom: 15%;
    top: auto;
}

.mts .cell-7 {
    transform: translate(0, 0);
    right: 15%;
    left: auto;
    top: 27%;
}

.mts .cell-8 {
    transform: translate(0, 0);
    right: 15%;
    left: auto;
    bottom: 27%;
    top: auto;
}



.rvp {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-flow: column;
    gap: 50;
    font-family: "Vazirmatn", sans-serif;
    font-weight: 900;
    background: #000;
    color: #fff;
}

.rvp h1,
.rvp span {
    font-size: 70px;
    display: block;
}

.rvp span {
    display: block;
    width: 10%;
    aspect-ratio: 1/1.2;
    background: linear-gradient(45deg,
            rgb(0, 0, 0),
            rgb(33, 33, 33));
    border: 5px solid rgb(211, 211, 211);
    box-shadow: 0 5px 0 rgba(255, 255, 255, .5);
    border-radius: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 20px;
}

.rvp .btn {
    display: block;
    width: 10%;
    aspect-ratio: 1/1;
    border-radius: 1000px;
    background: linear-gradient(45deg,
            silver,
            rgb(143, 140, 140));
    border: 5px solid rgb(211, 211, 211);
    margin-top: 40px;
    box-shadow: 0 5px 0 rgba(255, 255, 255, .5);
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 20px;
    white-space: nowrap;
    direction: rtl;
}

.rvp .btn.green {
    background: rgb(76, 126, 0);
}
.rvp .btn.red {
    background: rgb(156, 2, 2);
    color: #fff;
}

.rvp .btn .helper {
    position: absolute;
    top: 130%;
    left: 50%;
    transform: translate(-50%, 0);
    width: auto;
    white-space: nowrap;
    background: silver;
    color: #000;
    font-size: 14px;
    direction: rtl;
    padding: 15px;
    border-radius: 10px;
    box-shadow: 0 5px 0 rgba(255, 255, 255, .5);
}

.rvp .btn .helper p {
    padding: 0;
    margin: 0;
}

.rvp .btn .helper i {
    display: block;
    position: absolute;
    top: -5px;
    left: 50%;
    transform: translate(-50%, 0) rotate(45deg);
    background: silver;
    width: 10%;
    aspect-ratio: 1/1;
    z-index: -1;
}



.mot{
    background: #000;
    position: relative;
}
.mot .anchor{
    position: absolute;
    width: 70px;
    aspect-ratio: 1/1;
}
.mot .anchor::before{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%) rotate(45deg);
    width: 3px;
    height: 100px;
    content: '';
    animation: mot-blink 1s linear 0s infinite alternate;
}
.mot .anchor::after{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%) rotate(-45deg);
    width: 3px;
    height: 100px;
    content: '';
    animation: mot-blink 1s forwards 0s infinite alternate;
}
@keyframes mot-blink {
    0%{
        background: greenyellow;
    }
    49%{
        background: greenyellow;
    }
    50%{
        background: rgb(218, 48, 48);
    }
    99%{
        background: rgb(218, 48, 48);
    }
}




.rti {
    background: #000;
    font-family: Vazirmatn;
}
.rti .btn {
    display: block;
    width: 10vw;
    aspect-ratio: 1/1;
    border-radius: 1000px;
    background: linear-gradient(45deg,
            silver,
            rgb(143, 140, 140));
    border: 5px solid rgb(211, 211, 211);
    margin-top: 40px;
    box-shadow: 0 5px 0 rgba(255, 255, 255, .5);
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 20px;
    white-space: nowrap;
    direction: rtl;
}
.rti .btn:active {
    margin-top: 40px;
    box-shadow: 0 0px 0 rgba(255, 255, 255, .5);
    background: linear-gradient(45deg,
            rgb(148, 144, 144),
            rgb(97, 95, 95));
}

.rti .circle {
    display: block;
    width: 10vw;
    aspect-ratio: 1/1;
    border-radius: 1000px;
    border: 5px solid rgb(211, 211, 211);
    margin-top: 40px;
    box-shadow: 0 5px 0 rgba(255, 255, 255, .5);
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 20px;
    white-space: nowrap;
    direction: rtl;
    transition: .3s;
}
.rti .circle.green {
    box-shadow: 0 0 60px -10px rgb(153, 255, 0);
}
.rti .circle.red {
    box-shadow: 0 0 80px -10px rgb(255, 0, 0);
}
.rti .holder-1{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.rti .circle.active .yellow-blinker{
    position: absolute;
    inset: 10px;
    border-radius: 200px;
    background: yellow;
}
.rti h1{
    color: #fff;
    display: block;
    position: absolute;
    top: 50%;
    left: 0;
    right: 0;
    text-align: center;
    direction: rtl;
    transform: translate(0, -50%);
}
.rti .holder-2{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 20;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}
.rti .holder-2 .circle{
    margin: 10px;
}
.rti .btn .helper {
    position: absolute;
    top: 130%;
    left: 50%;
    transform: translate(-50%, 0);
    width: auto;
    white-space: nowrap;
    background: silver;
    color: #000;
    font-size: 14px;
    direction: rtl;
    padding: 15px;
    border-radius: 10px;
    box-shadow: 0 5px 0 rgba(255, 255, 255, .5);
}

.rti .btn .helper p {
    padding: 0;
    margin: 0;
}

.rti .btn .helper i {
    display: block;
    position: absolute;
    top: -5px;
    left: 50%;
    transform: translate(-50%, 0) rotate(45deg);
    background: silver;
    width: 10%;
    aspect-ratio: 1/1;
    z-index: -1;
}

.rti .holder-3{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}
.rti .holder-4{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}
.rti .holder-5{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}
.rti .holder-5 .wrapper{
    display: flex;
    align-items: center;
    justify-content: center;
}
.rti .holder-5 .wrapper .circle{
    margin: 10px;
}
.rti .holder-5{
    display: flex;
    align-items: center;
    flex-flow: column;
}



.ert{
    background: #000;
    font-family: vazirmatn;
}
.ert .choises{
    display: block;
    width: 70%;
    height: auto;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background: #000;
    z-index: 1;
}
.ert .choises div{
    padding: 20px;
    font-size: 30px;
    color: #fff;
    display: block;
    width: calc(50% - 20px);
    margin-right: 20px;
    float: left;
    text-align: center;
    margin-bottom: 20px;
    border: 3px solid #ddd;
    border-radius: 15px;
}
.ert img{
    position: absolute;
    height: 70%;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    object-fit: cover;
    width: auto;
    z-index: 1;
}
.ert img.blur{
    filter: blur(10px);
}
.ert .pointer{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 50px;
    height: 4px;
    background: #fff;
    z-index: 0;
}
.ert .pointer div{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 4px;
    height: 50px;
    background: #fff;
}

.mtt{
    background: #000;
    font-family: vazirmatn;
}
.mtt .circle-pointer{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -100%);
    width: 20%;
    aspect-ratio: 1/1;
    border-radius: 200px;
    border: 4px solid #fff;
}
.mtt .circle-pointer .arrow{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 60%;
    height: 4px;
    background: #fff;
}
.mtt .circle-pointer .arrow.flip{
    transform: translate(-50%, -50%) rotateY(180deg);
}
.mtt .circle-pointer .arrow::before{
    content: '';
    position: absolute;
    top: -250%;
    left: -2%;
    width: 30%;
    height: 4px;
    background: #fff;
    transform: rotate(-30deg);
}
.mtt .circle-pointer .arrow::after{
    content: '';
    position: absolute;
    bottom: -250%;
    left: -2%;
    width: 30%;
    height: 4px;
    background: #fff;
    transform: rotate(30deg);
}
.mtt .circle-pointer .helper {
    position: absolute;
    top: 130%;
    left: 50%;
    transform: translate(-50%, 0);
    width: auto;
    white-space: nowrap;
    background: silver;
    color: #000;
    font-size: 14px;
    direction: rtl;
    padding: 15px;
    border-radius: 10px;
    box-shadow: 0 5px 0 rgba(255, 255, 255, .5);
}

.mtt .circle-pointer .helper p {
    padding: 0;
    margin: 0;
}

.mtt .circle-pointer .helper i {
    display: block;
    position: absolute;
    top: -5px;
    left: 50%;
    transform: translate(-50%, 0) rotate(45deg);
    background: silver;
    width: 10%;
    aspect-ratio: 1/1;
    z-index: -1;
}